compilar aplicaciones en Freebsd

Estado
Cerrado para nuevas respuestas.

<<AxEl>>

Lanero Reconocido
11 Oct 2002
1,114
señores, recurro a ustedes como ultimo recurso que tengo..

tengo un equipo el cual tiene instalado freebsd 4-7, el equipo es algo viejito y es un servidor de correos, resulta que desde hace un tiempo he notado que instalando aplicaciones las cuales tengan un instalador grafico me saca el siguiente error.

./j2sdk-1_4_1-s1studio_ce-4u1-bin-linux.bin
ELF binary type "0" not known.
Abort trap

exactamente pasa lo mismo si intento ejecutar los navegadores mozilla o netscape. yo se que es confuso este foro que estoy poniendo, pero como veran el error que me muestra no me dice en si que esta fallando, algunos me aseguran que es algun archivo que esta dañado, pero la verdad no me han dicho cual seria el dichosos archivo, si alguno de ustedes le ha pasado algo similar les pido que me digan como lo solucionaron o si existe alguna forma de solucionarlo que no sea la re-instalalcion-...


muchas gracias..
 

jasz

Lanero Reconocido
10 Ene 2002
1,130
hm? ese binario es para linux.. porque lo vas a ejecutar en FreeBSD ?

son totalmente diferentes... tiene que bajar binarios para FreeBSD.. y ese ejemplo qe estas mostrando ahi es un binario para linux..
 

Stele

Lanero Reconocido
8 Sep 2003
292
Lo ke te dice jasz es cierto...
Si bien es cierto ke Linux y FreeBSD son POSIX no siempre las aplicaicones son compatibles en lado y lado....
Trata bajando los binarios para *BSD...
es más, el mismo error te lo está diciendo:

ELF binary type "0" not known.
 

<<AxEl>>

Lanero Reconocido
11 Oct 2002
1,114
Yo ensaye ese mismo binario en mi casa con el mismo freebsd y funciona..

ademas a mi me funcionaba el mozilla y el etscape muy bien, pero de un tiempo para aca al ejecutarlos me aparece el mensaje que les dije...
 

Sh4dow

Lanero Reconocido
4 Jun 2002
587
axelbeny entonces mira en el kernel si tienes activado el soporte de compatibilidad con binarios de linux o los ELF de linux, pero yo mejor te recomendaria que usaras aplicaciones para Freebsd son mas estables, solo entra al arbol de paquetes e instalas o si no sabes busque en google sobre el manejo de paquetes en freebsd y encontraras informacion sobre como instlar un paquete y como manejar los ports de freebsd. Suerte
 

<<AxEl>>

Lanero Reconocido
11 Oct 2002
1,114
ok, ya entendi lo que ustedes me quieren decir, pero una cosa mas, el mozilla y el netscape eran paquetes que descargue del ftp de freebsd.org, los instale por medio del sysintall, como quiene dice son aplicaciones propias pàra freebsd, insidira lo de los binarios o ELF de linux con la ejecucion de estos progrmas...

otra cosa mas, como hago pa saber si el kernel tiene el soporte de compatibilidad que menciona Sh4dow...

de antemano muchisimas gracias por su colaboracion
 

Sh4dow

Lanero Reconocido
4 Jun 2002
587
axelbeny en google podes encontrar documentos sobre el kernel de freebsd aunque insisto, usa los ports de freebsd para instalar aplicaciones asi vas llevando un sistema mas estable y mas ordenado
 

<<AxEl>>

Lanero Reconocido
11 Oct 2002
1,114
ok, gracias a todos por sus aportes, estuve buscando y encontre que para que esos binaros funcionen bien se debe tener arriba un modulo llamado linux.ko, en efecto lo cargue y listo problema solucionado, ahora me surge otro interrogante... como me toco montarlo manualmente, cuando reinicie el equipo el modulo tocara volverlo a levantar a mano, se que existe un archivo donde se cargan los modulos desde el inicio, alguien me podria hacer el favor y decirme como es el nombre de ese archivo y como debo hacer para agragar ese modulo desde el inicio... . de nuevo gracias
 
Estado
Cerrado para nuevas respuestas.